%define  ver     0.10
%define  rel     2mdk
%define  prefix  /usr

Summary: Default GTK+ theme engines.
Name: gtk-engines
Version: %ver
Release: %rel
Copyright: GPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/source/gtk-engines/gtk-engines-%{PACKAGE_VERSION}.tar.bz2
Source1: gtk-themes-extra-4.tar.bz2
Patch: gtk-engines-0.5-metal-redraw.patch.bz2

Url: http://gtk.themes.org
BuildRoot:/var/tmp/gtk-engines-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc

%description
These are the graphical engines for the various GTK+ toolkit themes.
Included themes are:

  - Notif
  - Redmond95
  - Pixmap
  - Metal (swing-like)

%prep
%setup -q
#%patch -p1 -b .metal-redraw

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix

if [ x"$SMP" != x"" ]; then
        (make MAKE="make -j $SMP -k"; exit 0)
        make
else
        make
fi

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

#
# makefile is broken, sets exec_prefix explicitely.
#
make exec_prefix=$RPM_BUILD_ROOT/%{prefix} prefix=$RPM_BUILD_ROOT/%{prefix} install 

# expand extra themes
cd $RPM_BUILD_ROOT%{prefix}/share/themes; tar xyvf %{SOURCE1}

# remove Odo its broke
#rm -rf $RPM_BUILD_ROOT%{prefix}/share/themes/Odo

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Mar 24 2000 DindinX <odin@mandrakesoft.com> 0.10-2mdk
- Group fix, small specs updates

* Sun Feb 06 2000 Axalon Bloodstone <axalon@mandrakesoft.com>
- 0.10

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build
- reinstate constabul Odo (issues are ok, if they are known)
- 0.8

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.7

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Wed Apr 14 1999 Michael Fulbright <drmike@redhat.com>
- removed Odo (has issues)

* Fri Apr 9 1999 The Rasterman <raster@redhat.com>
- patched metal theme - fixed handlebox redraw.

* Wed Mar 31 1999 Michael Fulbright <drmike@redhat.com>
- removed some themes that were misbehaving

* Tue Mar 16 1999 Michael Fulbright <drmike@redhat.com>
- removed enlightened themes, seems to be defective

* Thu Mar 11 1999 Michael Fulbright <drmike@redhat.com>
- removed Default theme data, this comes with gtk+ package

* Wed Mar 10 1999 Michael Fulbright <drmike@redhat.com>
- added extra gtk themes

* Thu Mar 04 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.4

* Wed Feb 03 1999 Michael Fulbright <drmike@redhat.com>
- version 0.3

* Mon Dec 18 1998 Michael Fulbright <drmike@redhat.com>
- version 0.2

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- rebuild because gtk+ version changed

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- in preparation for GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file

%files
%defattr(-, root, root)
%doc COPYING README ChangeLog
%{prefix}/lib/gtk/themes/engines/*
%{prefix}/share/themes/*
